Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 81166

Summary: Security issues in KDE
Product: Red Hat Enterprise Linux 2.1 Reporter: Mark J. Cox <mjc>
Component: kdebaseAssignee: Ngo Than <than>
Status: CLOSED ERRATA QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 2.1Keywords: Security
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-04-23 10:42:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mark J. Cox 2003-01-06 12:30:19 UTC
In some instances KDE fails to properly quote parameters of
instructions passed to a command shell for execution. 

These parameters may incorporate data such as URLs, filenames and e-mail
addresses, and this data may be provided remotely to a victim in an e-mail, a
webpage or files on a network filesystem or other untrusted source. 

By carefully crafting such data an attacker might be able to execute arbitary
commands on a vulnerable sytem using the victim's account and privileges.

Comment 1 Ngo Than 2003-01-21 09:27:07 UTC
errata is in progress

Comment 2 Mark J. Cox 2003-04-23 10:42:44 UTC
This was fixed by http://rhn.redhat.com/errata/RHSA-2003-003.html which came out
Mar26

Comment 3 Need Real Name 2003-04-24 15:55:44 UTC
I'm a little confused.

This vulnerability corresponds to:
 
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2002-1393

So it's been fixed in 2.1AS, but what about RH 7.{0,1,2}?

There was a KDE update:

https://rhn.redhat.com/errata/RHSA-2002-220.html

but it doesn't list CAN-2002-1393 as being fixed.  

So it looks like 1393 is a valid issue for RH 7.{0,1,2}
that isn't in Bugzilla.  Or am I missing something?

Comment 4 Mark J. Cox 2003-04-24 16:00:10 UTC
Yes, Red Hat Linux 7.1, 7.2, 7.3, and 8.0 are vulnerable to CAN-2002-1393.  An
update that fixes this, and other vulnerabilities, is in progress and will be
available shortly.